> For the complete documentation index, see [llms.txt](https://docs.licensespring.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.licensespring.com/sdks/node.js-sdk/proxy.md).

# Proxy

All calls to the server can be proxied by providing a proxy definition in either of the following two ways:

{% stepper %}
{% step %}

### Provide proxy in initialization config

Pass a `proxy` definition in the initialization config argument for `LicenseAPI`, `LicenseManager` or `FloatingAPI`, for example:

{% code title="example.js" %}

```javascript
const licenseAPI = new LicenseAPI({
  apiKey: '12345678-4bfe-4e3a-8737-757004d6294c',
  sharedKey: 'eYuHrlajvIVTiSFIXpxpKhw78f4Ewy-00-12345678',
  appName: 'js-sdk-test-1',
  appVersion: '0.0.1',
  proxy: {
    host: '127.0.0.1',
    port: 9000,
  },
});
```

{% endcode %}
{% endstep %}

{% step %}

### Set proxy after initialization

Call the `setProxy` method on an initialized `LicenseAPI`, `LicenseManager` or `FloatingAPI` object, for example:

{% code title="example.js" %}

```javascript
licenseAPI.setProxy({
  host: '127.0.0.1',
  port: 9000,
});
```

{% endcode %}
{% endstep %}
{% endstepper %}

For the type declaration of the proxy definition object, see `AxiosProxyConfig` in the [**Type Declarations**](/sdks/node.js-sdk/type-declarations.md) article.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.licensespring.com/sdks/node.js-sdk/proxy.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
